﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
    .Content_Wrapper
    {
        overflow: hidden;
        width: 200px;
        height: 200px;
        background-color: Blue;
        position: relative;
    }
    .Content
    {
        position: absolute;
        top: 0px;
    }
    </style>
</head>
<body>
    <script type="text/javascript">
    var initialValue;
    
    function HandleClientLoaded(sender, eventArgs)
    {
        initialValue = sender.get_MinimumValue();
        HandleClientValueChange(sender, null);
    }
    
    function HandleClientValueChange(sender, eventArgs)
    {
        var wrapperDiv = document.getElementById('content_wrapper');
        var contentDiv = document.getElementById('content');
        
        var oldValue = (eventArgs) ? eventArgs.get_OldValue() : sender.get_MinimumValue();
        var change = sender.get_Value() - oldValue;  
        
        var contentDivHeight = contentDiv.scrollHeight - wrapperDiv.offsetHeight; 
        var calculatedChangeStep = contentDivHeight / ((sender.get_MaximumValue() - sender.get_MinimumValue()) / sender.get_SlideStep());
        
        initialValue = initialValue - change * calculatedChangeStep;
        
        contentDiv.style.top = initialValue + 'px';
    }
    </script>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
            <div id="content_wrapper" class="Content_Wrapper">
                <div id="content" class="Content">
                    START >>                
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    text <br />
                    END >>
                </div>            
            </div>   
            <telerik:RadSlider ID="RadSlider1" runat="server" 
                SlideStep="1"
                Length="200"
                Value="50" 
                Orientation="Vertical" 
                OnClientValueChange="HandleClientValueChange"
                OnClientLoaded="HandleClientLoaded"
                Skin="Mac" />     
    </form>    
</body>
</html>
